{
  //-------------------------------------------------------------
  //
  //en General settings
  //
  //-------------------------------------------------------------

  //en Friendly site name
  friendlySite:                               "__aFCFGENARG_1z__",

  //en Full Site URL
  site:                                       "http://__aFCFGENARG_1z__",

  //en Permission to install mirrors on the site
  avalibleMirrors:                            true,

  //en Mail server for sending mail
  mailService:                                "<mailService>",

  //en Sender's Email address
  mailAddress:                                "<email@email.com>",

  //en User of the mail service for sending mail
  mailUser:                                   "<mailuser>",

  //en Password user of the mail service to send mail
  mailPassword:                               "<mail_user_pass>",

  //en Port used when starting via fcfnode. When launched via fsfserver, the parameter specified in the server.json file is used
  port:                                       8080,

  //en Maximum time to send a file
  maxFileSendTime:                            60*60,  // In seconds

  //en Array of projection directories on database tables
  projectionDirectories:                      ["projections"],

  //en Enabled packages
  packages:                                   ["fcfManagement", "fcfSimpleAuthorization"],

  //en Array of additional configuration files
  configs:                                    [],

  //en The object containing the initial values of system variables.
  //en The key is the full name of the system variable, and the value is a object with a description
  systemVariables: {
    //"[MODULE_NAME]:[VARIABLE_NAME]": { description: "[DESCRIPTION]", value: "[VALUE]" },
  },


  //-------------------------------------------------------------
  //
  //en fcfSimpleAuthorization module settings
  //
  //-------------------------------------------------------------

  //en Permission to register users
  fcfSimpleAuthorization_enableRegistration:  false,

  //en Allowing a user to log in by email
  fcfSimpleAuthorization_enableLoginByEmail:  false,

  //-------------------------------------------------------------
  //
  //en Database connection settings
  //
  //-------------------------------------------------------------

  dataClient: {
    defaultConnection: "default",
    connections: {
      default: {
        type: "mysql",
        host: "localhost",
        db:   "__aFCFGENARG_1z__",
        user: "__aFCFGENARG_1z__",
        pass: "__aFCFGENARG_1z__",
      }
    },
  },

  //-------------------------------------------------------------
  //
  //en Router settings
  //
  //-------------------------------------------------------------

  routes:[
    {
      uri:          "",
      controller:   "fcf:NServer/NControllers/Page.js",
      source:       "templates/pages/main-page.tmpl",
      title:        "FCF Application",
      description:  "Main page of the FCF application",
    },
    {
      uri:          "favicon.ico",
      controller:   "fcf:NServer/NControllers/File.js",
      source:       "favicon.ico",
    },
    {
      uri:          "/templates/*",
      controller:   "fcf:NServer/NControllers/File.js",
      source:       "templates",
    },
    {
      uri:          "/translations/*",
      controller:   "fcf:NServer/NControllers/File.js",
      source:       "translations",
    },
    {
      uri:          "robots.txt",
      controller:   "fcf:NServer/NControllers/File.js",
      source:       "robots.txt",
    },

  ],

  //-------------------------------------------------------------
  //
  //en Views settings
  //
  //-------------------------------------------------------------

  usageViews:{
    // List of types and templates
    // EXAMPLE:
    // "TYPE":{
    //   "read.*": { template: "TEMPLATE_PATH" },
    //   "edit.*": { template: "TEMPLATE_PATH" },
    //   "add.*":  { template: "TEMPLATE_PATH" },
    // },
  },

}
